< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package ct
  Definition Classes
    hmrc
-  package accounts
  Definition Classes
    ct
-  package frs102
  Definition Classes
    accounts
-  package calculations
  Definition Classes
    frs102
- BalanceSheetCreditorsCalculator
- BalanceSheetDebtorsCalculator
- BalanceSheetTangibleAssetsCalculator
- GrossProfitAndLossCalculator
- IntangibleAssetsCalculator
- LoansToDirectorsCalculator
- NetCurrentAssetsLiabilitiesCalculator
- OperatingProfitOrLossCalculator
- ProfitOrLossBeforeTaxCalculator
- ProfitOrLossFinancialYearCalculator
- TotalAssetsLessCurrentLiabilitiesCalculator
- TotalCreditorsWithinOneYearCalculator
- TotalCurrentAssetsCalculator
- TotalFixedAssetsCalculator
- TotalNetAssetsLiabilitiesCalculator
- TotalShareholdersFundsCalculator

t

uk.gov.hmrc.ct.accounts.frs102.calculations

# IntangibleAssetsCalculator 

###

#### trait IntangibleAssetsCalculator extends AnyRef

Linear Supertypes
AnyRef, Any
Known Subclasses
AC114, AC115, AC116, AC117, AC117A, AC117B, AC118, AC119, AC120, AC121, AC121A, AC121B, AC122, AC122A, AC122B, AC123, AC123A, AC123B, AC209, AC210, AC211
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. IntangibleAssetsCalculator
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def calculateAC114(ac114A: AC114A, ac114B: AC114B): AC114
6.  def calculateAC115(ac115A: AC115A, ac115B: AC115B): AC115
7.  def calculateAC116(ac116A: AC116A, ac116B: AC116B): AC116
8.  def calculateAC117A(ac114A: AC114A, ac115A: AC115A, ac116A: AC116A, ac209A: AC209A, ac210A: AC210A): AC117A
9.  def calculateAC117B(ac114B: AC114B, ac115B: AC115B, ac116B: AC116B, ac209B: AC209B, ac210B: AC210B): AC117B
10.  def calculateAC118(ac118A: AC118A, ac118B: AC118B): AC118
11.  def calculateAC119(ac119A: AC119A, ac119B: AC119B): AC119
12.  def calculateAC120(ac120A: AC120A, ac120B: AC120B): AC120
13.  def calculateAC121A(ac118A: AC118A, ac119A: AC119A, ac120A: AC120A, ac211A: AC211A): AC121A
14.  def calculateAC121B(ac118B: AC118B, ac119B: AC119B, ac120B: AC120B, ac211B: AC211B): AC121B
15.  def calculateAC122A(ac117A: AC117A, ac121A: AC121A): AC122A
16.  def calculateAC122B(ac117B: AC117B, ac121B: AC121B): AC122B
17.  def calculateAC123A(ac114A: AC114A, ac118A: AC118A): AC123A
18.  def calculateAC123B(ac114B: AC114B, ac118B: AC118B): AC123B
19.  def calculateAC209(ac209A: AC209A, ac209B: AC209B): AC209
20.  def calculateAC210(ac210A: AC210A, ac210B: AC210B): AC210
21.  def calculateAC211(ac211A: AC211A, ac211B: AC211B): AC211
22.  def calculateAbridgedAC117(ac114: AC114, ac115: AC115, ac116: AC116, ac209: AC209, ac210: AC210): AC117
23.  def calculateAbridgedAC121(ac118: AC118, ac119: AC119, ac120: AC120, ac211: AC211): AC121
24.  def calculateAbridgedAC122(ac117: AC117, ac121: AC121): AC122
25.  def calculateAbridgedAC123(ac114: AC114, ac118: AC118): AC123
26.  def calculateFullAC117(ac117A: AC117A, ac117B: AC117B): AC117
27.  def calculateFullAC121(ac121A: AC121A, ac121B: AC121B): AC121
28.  def calculateFullAC122(ac122A: AC122A, ac122B: AC122B): AC122
29.  def calculateFullAC123(ac123A: AC123A, ac123B: AC123B): AC123
30.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
31.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
32.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
33.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
34.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
35.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
36.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
37.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
38.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
39.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
40.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
41.  def toString(): String
    Definition Classes
      AnyRef → Any
42.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
43.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
44.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped